<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

    <title>E-commerce</title>
    <style>
        #customcarousal
        {
            border: 2px solid black;
            margin: 2rem;
     
        }
   
     .carousel-item img{
             height: 400px;
             width: 100%;
     }  
     .navbar-brand
     {

      width: 300px;
      margin-left: 30px;
     } 
   .nav-item a
   {
    /* border: 1px solid black; */
    display: flex;
    flex-direction: column;
    width: 200px;
    justify-content: space-between;
   }
    .cardsection
{
    /* border: 3px solid black; */
    height: 420px;
    width: 1500px;
    display: flex;
    justify-content: space-around;
    margin-bottom: 0px;
}
</style>
  </head>
  
  <body>
    <header>
      <nav class="navbar navbar-expand-lg navbar-light bg-dark">
        <a class="navbar-brand text-white" href="#">Navbar</a>
        <button class="navbar-toggler text-white" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
      
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item ">
              <a class="nav-link text-white" href="#">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
              <a class="nav-link text-white" href="LoginForm.html">Login</a>
            </li>
            <li class="nav-item">
              <a class="nav-link text-white" href="RegistrationForm.html">Register</a>
            </li>
            <li class="nav-item">
              <a class="nav-link disabled text-white" href="#" tabindex="-1" aria-disabled="true">About Us</a>
            </li>
          </ul>
          <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
          </form>
        </div>
      </nav>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script> 
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx"
        crossorigin="anonymous"></script>

    <!-- Option 2: jQuery, Popper.js, and Bootstrap JS
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js" integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s" crossorigin="anonymous"></script>
    --> 
</header>
<main>
    <section class="carousel">
        <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img src="./images/ecommerce-1.jpeg" class="d-block w-100" alt="image-1">
              </div>
              <div class="carousel-item">
                <img src="./images/ecommerce-2.jpeg" class="d-block w-100" alt="image-2">
              </div>
              <div class="carousel-item">
                <img src="./images/ecommerce-3.jpeg" class="d-block w-100" alt="image-3">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
          </div>
    </section>
    <section class="cardsection" >
        <div>
         <div class="card" style="width: 18rem;">
             <img src="images/Ecomerce-1.jpeg" class="card-img-top" alt="image-1">
             <div class="card-body">
               <h5 class="card-title">E-Commerce Info</h5>
               <p class="card-text">A website that allows people to buy,sell digital products over the internet rather mortar location.</p>
               <a href="#" class="btn btn-primary">Go somewhere</a>
             </div>
           </div>
        </div>
        <div>
         <div class="card" style="width: 18rem;">
             <img src="images/E-commerce-2.jpeg" class="card-img-top" alt="image-2">
             <div class="card-body">
               <h5 class="card-title">E-Commerce Definition</h5>
               <p class="card-text">The term “E-commerce” simply means the sale  goods,services on  internet.</p>
               <a href="#" class="btn btn-primary">Go somewhere</a>
             </div>
           </div>
        </div>
        <div>
         <div class="card" style="width: 18rem;">
             <img src="images/E-commerce-3.jpeg" class="card-img-top" alt="image-3">
             <div class="card-body">
               <h5 class="card-title">E-Commerce Evolution</h5>
               <p class="card-text">E-commerce enjoyed the rise of smartphones,allowed consumers to shop from nearly anywhere.</p>

               <a href="#" class="btn btn-primary">Go somewhere</a>
             </div>
           </div>
        </div>
      
 </section>

</main>
 <footer>
    <footer class="bg-dark text-center text-lg-start "> 
        <!-- Copyright -->
        <div class="text-center p-3" style="background-color: skyblue;"> 
          ©2024 Copyright:
          <a class="text-body" href="https://getbootstrap.com/">Bootstrap.com</a>
        </div>
      </footer>

      </footer>
  </body>
</html>